Package org.eclipse.emf.cdo.common.lob

# Class CDOBlob

java.lang.Object
org.eclipse.emf.cdo.common.lob.CDOLobInfo
org.eclipse.emf.cdo.common.lob.CDOLob<InputStream>
org.eclipse.emf.cdo.common.lob.CDOBlob

public final class CDOBlob extends CDOLob<InputStream>
An identifiable binary large object with streaming support.

Since:
  4.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CDOBlob(byte[] contents, CDOLobStore store)`
`CDOBlob(InputStream contents)`
`CDOBlob(InputStream contents, CDOLobStore store)`
`CDOBlob(String contents, CDOLobStore store)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getBytes()`
`InputStream`
`getContents()`
`File`
`getStoreFile()`
`String`
`getString()`
`protected CDOLobInfo`
`put(InputStream contents)`

### Methods inherited from class org.eclipse.emf.cdo.common.lob.CDOLob

`getByteCount, getStore`

### Methods inherited from class org.eclipse.emf.cdo.common.lob.CDOLobInfo

`equals, getID, getIDString, getSize, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CDOBlob

public CDOBlob(InputStream contents) throws IOException

Throws:
  `IOException`

### CDOBlob

public CDOBlob(InputStream contents, CDOLobStore store) throws IOException

Throws:
  `IOException`

### CDOBlob

public CDOBlob(byte[] contents, CDOLobStore store) throws IOException

Throws:
  `IOException`
Since:
  4.13

### CDOBlob

public CDOBlob(String contents, CDOLobStore store) throws IOException

Throws:
  `IOException`
Since:
  4.13

## Method Details

### getStoreFile

public File getStoreFile()

Specified by:
  `getStoreFile` in class `CDOLob<InputStream>`

### getContents

public InputStream getContents() throws IOException

Specified by:
  `getContents` in class `CDOLob<InputStream>`
Throws:
  `IOException`

### getBytes

public byte[] getBytes() throws IOException

Throws:
  `IOException`
Since:
  4.13

### getString

public String getString() throws IOException

Specified by:
  `getString` in class `CDOLob<InputStream>`
Throws:
  `IOException`
Since:
  4.13

### put

protected CDOLobInfo put(InputStream contents) throws IOException

Specified by:
  `put` in class `CDOLob<InputStream>`
Throws:
  `IOException`